import { prisma } from "@/lib/db"
import { NextRequest, NextResponse } from "next/server"
import { getServerSession } from "next-auth/next"
import { authOptions } from "../auth/[...nextauth]/route";
import { Prisma } from "@prisma/client";
type post = Prisma.PostUncheckedCreateInput

export async function POST(req: NextRequest) {

	const session = await getServerSession(authOptions);

	if (!session) {
		return NextResponse.json({ status: 401 });
	}

	const userId = session.user.id

	const data = await req.json()


	console.log("router data: " + data, "status:")

	try {
		await prisma.post.create({
			/* data: data */
			data:{
				content: data.content,
				userId: parseInt(userId),
				published: true
			}
		})
		console.log("created")

		return NextResponse.json({ status: 201, message: 'Message Created' })

	} catch (error) {
		console.log("fail" + error);
	}
	console.log("post")
}

export async function GET(req: NextRequest, res: NextResponse) {
	const data = await req.json()
	console.log("router data: " + data, "status:")

	console.log(data)
	try {
		const messages = await prisma.post.findMany({
			orderBy: {
				createdAt: "desc"
			}
		})

		return NextResponse.json({ status: 200, messages: messages })
	} catch (error) {
		console.log("fail" + error);
		// res.status(400)
	}
	console.log("get")
}